# install these packages into /opt if we have a prefix defined for the
# java packages
%{?java_pkg_prefix: %define _prefix /opt/frysk }
%{?java_pkg_prefix: %define _sysconfdir %{_prefix}/etc }
%{?java_pkg_prefix: %define _localstatedir %{_prefix}/var }
%{?java_pkg_prefix: %define _infodir %{_prefix}/share/info }
%{?java_pkg_prefix: %define _mandir %{_prefix}/share/man }
%{?java_pkg_prefix: %define _defaultdocdir %{_prefix}/share/doc }

%{!?c_pkg_prefix: %define c_pkg_prefix %{nil}}
%{!?java_pkg_prefix: %define java_pkg_prefix %{nil}}

%define	name_base	libgnome-java

Summary:	Java bindings for libgnome
Name:		%{java_pkg_prefix}%{name_base}	
Version:	2.12.4
Release: 	1%{?dist}
License:	LGPL
Group:		Development/Libraries
URL:		http://java-gnome.sourceforge.net
Source:		http://ftp.gnome.org/pub/GNOME/sources/%{name_base}/2.12/%{name_base}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Requires:	libgnomeui >= 2.11.0
Requires:	libgnomecanvas >= 2.11.0
Requires:	libgtk-java >= 2.8.6
Requires: 	glib-java >= 0.2.4
BuildRequires:	libgnomeui-devel >= 2.11.0
BuildRequires:	libgnomecanvas-devel >= 2.11.0
BuildRequires:	gcc-java >= 4.1.1, docbook-utils
BuildRequires:	libgtk-java-devel >= 2.8.6, java-devel >= 1.4.2
BuildRequires:	glib-java-devel >= 0.2.6

%description
libgnome-java is a language binding that allows developers to write
GNOME applications in Java.  It is part of Java-GNOME.

%package       	devel
Summary:        Compressed Java source files for %{name}.
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:	libgnomeui-devel
Requires:	libgnomecanvas-devel
Requires:	libgtk-java-devel
Requires:	glib-java-devel


%description    devel
Development part of %{name}.

%prep
%setup -q -n %{name_base}-%{version}

%build
# if either the C or Java packages has a prefix declared, then we will
# add /opt/frysk/lib/pkgconfig to the pkgconfig path
if  [  'x%{java_pkg_prefix}' != 'x' ] || [ 'x%{c_pkg_prefix}' != 'x' ]; then
        export PKG_CONFIG_PATH=/opt/frysk/lib/pkgconfig
fi

%configure
make %{?_smp_mflags}

# pack up the java source
jarversion=$(echo -n %{version} | cut -d . -f -2)
jarname=$(echo -n %{name_base} | cut -d - -f 1 | sed "s/lib//")
zipfile=$PWD/$jarname$jarversion-src-%{version}.zip
pushd src/java
find -name \*.java | xargs touch --date=1/1/1970
zip -X -9 -r $zipfile . -i \*.java
popd

%install
rm -rf %{buildroot}

make %{?_smp_mflags} DESTDIR=$RPM_BUILD_ROOT install

# rename doc dir to reflect package rename, if the names differ
if [ 'x%{name_base}' != 'x%{name}' ] ; then
        mv $RPM_BUILD_ROOT%{_docdir}/%{name_base}-%{version} $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}
fi

# install the src zip and make a sym link
jarversion=$(echo -n %{version} | cut -d . -f -2)
jarname=$(echo -n %{name_base} | cut -d - -f 1 | sed "s/lib//")
install -m 644 $jarname$jarversion-src-%{version}.zip $RPM_BUILD_ROOT%{_datadir}/java/
pushd $RPM_BUILD_ROOT%{_datadir}/java
ln -sf $jarname$jarversion-src-%{version}.zip $jarname$jarversion-src.zip
popd

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/api AUTHORS COPYING NEWS README
%{_libdir}/*so*
%{_libdir}/*la
%{_datadir}/java/*.jar

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/*.pc
%{_datadir}/java/*.zip

%changelog
* Sun Aug 13 2006 Stepan Kasal <skasal@redhat.com> - 2.12.4-1
- New upstream version.
- Use the %%{?dist} tag.
- Use `make %%{?_smp_mflags}'.
- Move pkgconfig description to -devel subpackage.
- The -devel subpackage now requires several -devel packages.
- Update requires and buildrequires.

* Sun Jul 23 2006 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.12.3-2
- Bump release number. (dist-fc6-java)

* Wed Jul 12 2006 Stepan Kasal <skasal@redhat.com> - 2.12.3-1
- Release 0 is not allowed.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.12.3-0.1
- rebuild

* Sun Jun 18 2006 Stepan Kasal <skasal@redhat.com> - 2.12.3-0
- Use .tar.bz2, not tar.gz.

* Thu Jun 15 2006 Stepan Kasal <skasal@redhat.com> - 2.12.3-0
- New version.

* Wed May 24 2006 Ben Konrath <bkonrath@redhat.com> - 2.12.2-2
- Change mod time of all java source files for the src zip.

* Tue May 23 2006 Ben Konrath <bkonrath@redhat.com> - 2.12.2-1
- Add -X to src zip and ensure Config.java has the same mod time across
  platforms - needed for multilib.

* Tue May  2 2006 Stepan Kasal <skasal@redhat.com>    - 2.12.2-0
- New upstream version.
- Fix the (Build)Requires according to the configure.ac.
- Try to build on s390x again.

* Wed Mar 01 2006 Adam Jocksch <ajocksch@redhat.com> - 2.12.1.0.20060301.rh1-0
- Imported new tarball to address bug 183538, updated dependancies.

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.12.1-3.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.12.1-3.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Dec 21 2005 Jesse Keating <jkeating@redhat.com> - 2.12.1-2
- rebuilt again

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcj

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Oct 26 2005 Igor Foox <ifoox@rehdat.com> - 2.12.1-1
- Updated to released 2.12.1 sources from upstream.
- Excluded s390x.

* Wed Oct 05 2005 Igor Foox <ifoox@redhat.com> - 2.12.0-2
- Import released 2.12.0 sources from upstream.
- Change optional installation path to /opt/frysk from /opt.
- Change build dependency on glib-java and libgtk-java to -devel.

* Sat Sep 24 2005 Igor Foox <ifoox@redhat.com> - 2.12.0-1
- Import libgnome-java 2.12.0.

* Fri May 20 2005 Ben Konrath <bkonrath@redhat.com> - 2.10.1-3
- Fix permission on src zip.

* Thu May 19 2005 Ben Konrath <bkonrath@redhat.com> - 2.10.1-2
- Add compressed java source to devel package.

* Tue Apr 12 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.10.1-1
- Import libgnome-java 2.10.1.

* Sat Apr  2 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.10.0-1
- Import libgnome-java 2.10.0.

* Fri Mar  4 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.92-1
- Require libgtk-java and java for build.
- Import libgnome-java 2.9.92.

* Sat Feb 12 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.91.1-1
- Import libgnome-java 2.9.91.1.

* Tue Feb  8 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.91-3
- Work around libtool, gcj, -D_FORTIFY_SOURCE=2, rpmbuild problem.

* Tue Feb  8 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.91-2
- Only build on i386 and x86_64.

* Tue Feb  8 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.91-1
- Import libgnome-java 2.9.91.

* Fri Feb  4 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.90-1
- Import libgnome-java 2.9.90.

* Sat Nov 27 2004 Ben Konrath <bkonrath@redhat.com> 2.8.2-1
- Update sources

* Tue Nov  2 2004 Thomas Fitzsimmons <fitzsim@redhat.com> 2.8.1-3
- Require libgtk-java for build.

* Tue Nov  2 2004 Thomas Fitzsimmons <fitzsim@redhat.com> 2.8.1-2
- Don't build on s390.

* Mon Nov  1 2004 Thomas Fitzsimmons <fitzsim@redhat.com> 2.8.1-1
- Initial release.
